#include <iostream>
  
class Demo {
public:
    Demo(int pa, int pb) {
        a = pa;
        b = pb;
    }
    
    friend int do_something(Demo& d) {
        return d.a + d.b;
    }
    
    friend class Demo2;

private:
    int a;
    int b;
};

class Demo2 {
public:
    int do_something2(Demo& d) {
        return d.a + d.b;
    }
};

int main() {
    Demo d(32, 22);
    std::cout << do_something(d) << std::endl;
    Demo2 d2;
    std::cout << d2.do_something2(d) << std::endl;
    
    return 0;
}

/* 《程式語言教學誌》的範例程式
   https://kaiching.org/
   檔名：u0908.cpp
   功能：示範 C++ 的類別
   作者：張凱慶*/