#include <iostream>
  
class Demo {
public:
    Demo() {
        std::cout << "constructor" << std::endl;
        count++;
    }
    
    static int get_count() {
        return count;
    }
    
private:
    static int count;
};

int Demo::count = 0;

int main() {
    Demo d1;
    std::cout << Demo::get_count() << std::endl;
    Demo d2;
    std::cout << d2.get_count() << std::endl;
    Demo d3;
    std::cout << d3.get_count() << std::endl;
    
    return 0;
}

/* 《程式語言教學誌》的範例程式
   https://kaiching.org/
   檔名：u0909.cpp
   功能：示範 C++ 的類別
   作者：張凱慶*/