#include <iostream>
  
class Demo {
public:
    Demo(int pa) {
        std::cout << "constructor" << std::endl;
        a_ptr = new int;
        *a_ptr = pa;
    }
    
    ~Demo() {
        std::cout << "destructor" << std::endl;
        delete a_ptr;
    }
    
    void do_something() {
        std::cout << *a_ptr << std::endl;
    }
    
private:
    int *a_ptr;
};

int main(void) {
    Demo d(2048);
    d.do_something();
    
    return 0;
}

/* 《程式語言教學誌》的範例程式
   https://kaiching.org/
   檔名：u0915.cpp
   功能：示範 C++ 的類別
   作者：張凱慶*/