#include <iostream>

template <typename T> class Demo {
public:
    Demo(const T& a, const T& b) {
        this->a = a;
        this->b = b;
    }

    T do_something() {
        return a + b;
    }

private:
    T a;
    T b;
};

template <typename T> using D = Demo<T>;

int main() {
    D<int> d1(20, 25);
    std::cout << d1.do_something() << std::endl;
    D<double> d2(5.2, 3.95);
    std::cout << d2.do_something() << std::endl;
    D<char> d3('1', '2');
    std::cout << d3.do_something()<< std::endl;

    return 0;
}

/* 《程式語言教學誌》的範例程式
   https://kaiching.org/
   檔名：u1003.cpp
   功能：示範 C++ 的樣板
   作者：張凱慶*/