#include <iostream>
  
struct BadValue : public std::exception {};
    
double divide(double a, double b) {
    if (b == 0) {
        throw BadValue();
    }
    
    return a / b;
}

int main() {
    try {
        std::cout << divide(20, 5) << std::endl;
        std::cout << divide(20, 4) << std::endl;
        std::cout << divide(20, 3)  << std::endl;
        std::cout << divide(20, 2) << std::endl;
        std::cout << divide(20, 1) << std::endl;
        std::cout << divide(20, 0) << std::endl;
    }
    catch (BadValue e) {
        std::cout << "something wrong..."  << std::endl;
    }
    
    return 0;
}

/* 《程式語言教學誌》的範例程式
   https://kaiching.org/
   檔名：u0601_2.cpp
   功能：示範 C++ 的例外處理
   作者：張凱慶*/