#include <iostream>
#include <cstdarg>

int sum(int n_args, ...) {
    va_list ap;
    va_start(ap, n_args);
    int sum = va_arg(ap, int);
    for (int i = 2; i <= n_args; i++) {
        sum += va_arg(ap, int);
    }
    va_end(ap);
    
    return sum;
}

int main() {
    std::cout << sum(3, 11, 22, 33) << std::endl;
    std::cout << sum(3, 19, 20, 21) << std::endl;
    std::cout << sum(3, 3, 65, 101) << std::endl;
    
    return 0;
}

/* 《程式語言教學誌》的範例程式
   https://kaiching.org/
   檔名：u0805.cpp
   功能：示範 C++ 的函數
   作者：張凱慶*/