#include <iostream>
  
class Demo {
public:
    virtual int do_something() {
        return 1;
    }
};

class Demo2: public Demo {
public:
    virtual int do_something() {
        return 2;
    }
};

int main(void) {
    Demo* d_ptr;
    Demo2 d2;
    d_ptr = &d2;
    
    std::cout << d_ptr->do_something() << std::endl;
    
    return 0;
}

/* 《程式語言教學誌》的範例程式
   https://kaiching.org/
   檔名：u0919.cpp
   功能：示範 C++ 的類別
   作者：張凱慶*/